Index: npl/webapps/Trac/Trac.SlackBuild
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,77 +1,0 @@
-#!/bin/bash
-#DEP:python
-#DEP:python_setuptools
-#DEP:python_Genshi
-#DEP:postgresql
-#DEP:python_pyPgSQL
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.*`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#webportal stuff
-mkdir -p /tmp/pkg/var/www/htdocs/syn3/tracportal/
-cp webportal/* /tmp/pkg/var/www/htdocs/syn3/tracportal/ || exit 1
-
-#postinst
-mkdir -p /tmp/pkg/etc/postinst.d
-cp post.* /tmp/pkg/etc/postinst.d || exit 1
-chmod +x /tmp/pkg/etc/postinst.d/* || exit 1
-
-#apache config
-mkdir -p /tmp/pkg/etc/apache2/conf.d
-cp trac.conf /tmp/pkg/etc/apache2/conf.d || exit 1
-
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#scripts and stuff to create new syn3 trac env.
-mkdir -p /tmp/pkg/usr/share/trac/syn3_defaults
-cp defaults/* /tmp/pkg/usr/share/trac/syn3_defaults
-mkdir /tmp/pkg/usr/bin
-cp syn3-newtrac /tmp/pkg/usr/bin || exit 1
-chmod +x /tmp/pkg/usr/bin/syn3-newtrac || exit 1
-
-#wsgi stuff
-mkdir -p /tmp/pkg//usr/share/trac/cgi-bin
-cp trac.wsgi /tmp/pkg//usr/share/trac/cgi-bin || exit 1
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac/Trac.SlackBuild.dis
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac/Trac.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,74 @@
+#!/bin/bash
+#DEP:python
+#DEP:python_setuptools
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.*`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#webportal stuff
+mkdir -p /tmp/pkg/var/www/htdocs/syn3/tracportal/
+cp webportal/* /tmp/pkg/var/www/htdocs/syn3/tracportal/ || exit 1
+
+#postinst
+mkdir -p /tmp/pkg/etc/postinst.d
+cp post.* /tmp/pkg/etc/postinst.d || exit 1
+chmod +x /tmp/pkg/etc/postinst.d/* || exit 1
+
+#apache config
+mkdir -p /tmp/pkg/etc/apache2/conf.d
+cp trac.conf /tmp/pkg/etc/apache2/conf.d || exit 1
+
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#scripts and stuff to create new syn3 trac env.
+mkdir -p /tmp/pkg/usr/share/trac/syn3_defaults
+cp defaults/* /tmp/pkg/usr/share/trac/syn3_defaults
+mkdir /tmp/pkg/usr/bin
+cp syn3-newtrac /tmp/pkg/usr/bin || exit 1
+chmod +x /tmp/pkg/usr/bin/syn3-newtrac || exit 1
+
+#wsgi stuff
+mkdir -p /tmp/pkg//usr/share/trac/cgi-bin
+cp trac.wsgi /tmp/pkg//usr/share/trac/cgi-bin || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/webapps/Trac/Trac.build
===================================================================
--- npl/webapps/Trac/Trac.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5862
Index: npl/webapps/Trac/Trac.depver
===================================================================
--- npl/webapps/Trac/Trac.depver	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/webapps/Trac/Trac.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,2 @@
-python	2
+python	1
 python_setuptools	0
-python_Genshi	0
-postgresql	0
-python_pyPgSQL	0
Index: npl/webapps/Trac/Trac.md5
===================================================================
--- npl/webapps/Trac/Trac.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/webapps/Trac/Trac.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -4,9 +4,9 @@
 753577aa3401b4cdd0e198f3bd9db965  ./post.trac
 43a2f05f263cb1501fafc699875d00a4  ./syn3-newtrac
-ff3a7d78099a269ae2035a6cf8adccbb  ./Trac-1.2.tar.gz
+0cef201e223fafb5c3dd99577403f572  ./Trac-0.12.3.tar.gz
 e3985140b5bf7107e1d51277303c67b9  ./trac.conf
-6ee7a4e1989f2e6a8fbfd49f3d715e3b  ./Trac.pkg
-9feb8a276a3dc561b787ad083239c90b  ./Trac.SlackBuild
-47a49d7e0636ec9dfcc91d7106eddcdc  ./Trac.SlackBuild.log.gz
+411ab905eaac28d948fffbc7e0f2da26  ./Trac.pkg
+08d5d57af99e860b465bdf8fce3a086f  ./Trac.SlackBuild
+9210727ba77a8c10b9e3a1b64d7e065d  ./Trac.SlackBuild.log.gz
 10b18fcfbdc8092690f8754dadea4dc8  ./trac.wsgi
 8b2637ff214bdfd68579630bd221e1a6  ./webportal/index.php
Index: npl/webapps/Trac/Trac.version
===================================================================
--- npl/webapps/Trac/Trac.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/webapps/Trac/Trac.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.2
+0.12.3
Index: npl/webapps/Trac/trac.wsgi
===================================================================
--- npl/webapps/Trac/trac.wsgi	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/webapps/Trac/trac.wsgi	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,5 +2,5 @@
 
 os.environ['TRAC_ENV_PARENT_DIR'] = '/home/system/trac'
-os.environ['PYTHON_EGG_CACHE'] = '/tmp'
+os.environ['PYTHON_EGG_CACHE'] = '/tmp/trac-egg-cache'
 
 import trac.web.main
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,53 @@
+#!/bin/bash
+# Generic python build script. (C)DatuX
+# Put in in a builddirectory with a python tarfile that contains a setup.py.
+# Please python_modulename for python modules.
+
+#DEP:python
+#DEP:python_setuptools
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.zip`
+
+#Version of the sourcefiles
+VER=0.11
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=*/0.11                                                           
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+python	2
+python_setuptools	0
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_tracticketdepgraph.SlackBuild
+45de91418094d0118227c54de4a05835  ./Trac_tracticketdepgraph.SlackBuild.log.gz
+ec1c438fc9510fae166a843c938a8ddd  ./Trac_tracticketdepgraph.pkg
+8c5f18612cd88f16763eea6e5fd60893  ./tracticketdepgraphplugin.zip
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+0.11
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,53 @@
+#!/bin/bash
+# Generic python build script. (C)DatuX
+# Put in in a builddirectory with a python tarfile that contains a setup.py.
+# Please python_modulename for python modules.
+
+#DEP:python
+#DEP:python_setuptools
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.zip`
+
+#Version of the sourcefiles
+VER=0.11
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=*/0.11                                                           
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+python	2
+python_setuptools	0
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_graphviz.SlackBuild
+2b0bec284189821b53f0fb72f468c993  ./Trac_graphviz.SlackBuild.log.gz
+ab3a7f63d117a85b99a05fe6c6bc0c1d  ./Trac_graphviz.pkg
+0065d041a6a8d6c4be79bfa1887464ea  ./graphvizplugin.zip
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+0.11
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,53 @@
+#!/bin/bash
+# Generic python build script. (C)DatuX
+# Put in in a builddirectory with a python tarfile that contains a setup.py.
+# Please python_modulename for python modules.
+
+#DEP:python
+#DEP:python_setuptools
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.zip`
+
+#Version of the sourcefiles
+VER=0.11
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=*/0.11                                                           
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+python	2
+python_setuptools	0
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_mastertickets.SlackBuild
+0aa7a3d92707772e6e5699eabc828d14  ./Trac_mastertickets.SlackBuild.log.gz
+6322b210357887ab07c6bf6b2f16650c  ./Trac_mastertickets.pkg
+d183b3adca14c9529b1caba085542687  ./masterticketsplugin.zip
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+0.11
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,53 @@
+#!/bin/bash
+# Generic python build script. (C)DatuX
+# Put in in a builddirectory with a python tarfile that contains a setup.py.
+# Please python_modulename for python modules.
+
+#DEP:python
+#DEP:python_setuptools
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.zip`
+
+#Version of the sourcefiles
+VER=0.10
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=*/0.10
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+python	2
+python_setuptools	0
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+c5678ec362c7dd473f9b253a46eb3697  ./Trac_wikinegotiator.SlackBuild
+e761775b1347a75e40e6e5316ef52b92  ./Trac_wikinegotiator.SlackBuild.log.gz
+dd7e21b0f06169671b0528ef19f568aa  ./Trac_wikinegotiator.pkg
+14fd6edad2fbb8ed664770b17de3067c  ./tracwikinegotiatorplugin.zip
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+0.10
Index: npl/webapps/mediawiki/mediawiki.build
===================================================================
--- npl/webapps/mediawiki/mediawiki.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5091
Index: npl/webapps/mimetex/mimetex.build
===================================================================
--- npl/webapps/mimetex/mimetex.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5667
Index: npl/webapps/phpmyadmin/phpMyAdmin.build
===================================================================
--- npl/webapps/phpmyadmin/phpMyAdmin.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5802
Index: npl/webapps/phppgadmin/phpPgAdmin.build
===================================================================
--- npl/webapps/phppgadmin/phpPgAdmin.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3904
Index: npl/webapps/sugarcrm/sugarcrm.build
===================================================================
--- npl/webapps/sugarcrm/sugarcrm.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5120
Index: npl/webapps/webmin/miniserv.conf
===================================================================
--- npl/webapps/webmin/miniserv.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/miniserv.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,37 @@
+port=10001
+root=/usr/webmin
+mimetypes=/usr/webmin/mime.types
+addtype_cgi=internal/cgi
+realm=Webmin Server
+logfile=/var/log/webmin/miniserv.log
+errorlog=/var/log/webmin/miniserv.error
+pidfile=/var/log/webmin/miniserv.pid
+logtime=168
+ppath=
+ssl=1
+env_WEBMIN_CONFIG=/home/system/webmin
+env_WEBMIN_VAR=/var/log/webmin
+atboot=0
+logout=/home/system/webmin/logout-flag
+listen=10000
+denyfile=\.pl$
+log=1
+blockhost_failures=5
+blockhost_time=60
+syslog=1
+session=1
+premodules=WebminCore
+userfile=/home/system/webmin/miniserv.users
+keyfile=/usr/webint/ssl/server.pem
+passwd_file=/etc/shadow
+passwd_uindex=0
+passwd_pindex=1
+passwd_cindex=2
+passwd_mindex=4
+passwd_mode=0
+preroot=blue-theme
+passdelay=1
+nofork=1
+extracas=
+certfile=/usr/webint/ssl/server.crt
+ssl_redirect=0
Index: npl/webapps/webmin/run
===================================================================
--- npl/webapps/webmin/run	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/run	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+#!/bin/bash
+exec /etc/webmin/start
Index: npl/webapps/webmin/services.webmin.new
===================================================================
--- npl/webapps/webmin/services.webmin.new	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/services.webmin.new	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+10001/tcp,System administration,Webmin
Index: npl/webapps/webmin/webmin.SlackBuild
===================================================================
--- npl/webapps/webmin/webmin.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,98 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+
+#NEED:perlmod_Net_SSLeay
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=noarch
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+
+#install webmin
+pushd $SRC_DIR 
+mkdir -p /home/system/webmin /usr/webmin /var/log/webmin /etc
+ssl=1 nostart=1 atboot=0 password=syn3 login=admin port=10001 perl=/usr/bin/perl var_dir=/var/log/webmin config_dir=/home/system/webmin ./setup.sh /usr/webmin 
+popd
+
+#move to package dir
+mkdir -p /tmp/pkg/home/system /tmp/pkg/usr /tmp/pkg/var/log /tmp/pkg/etc
+ln -s /home/system/webmin /tmp/pkg/etc/webmin 
+mv /home/system/webmin /tmp/pkg/home/system
+mv /usr/webmin /tmp/pkg/usr
+mv /var/log/webmin /tmp/pkg/var/log
+
+#our tuned config
+cp miniserv.conf /tmp/pkg/home/system/webmin/miniserv.conf
+
+#firewall service
+mkdir -p /tmp/pkg/etc/firewall
+cp services.webmin.new /tmp/pkg/etc/firewall
+
+#remove ssl keys, we use syn3's webint ssl keys
+rm /tmp/pkg/home/system/webmin/miniserv.pem
+
+#daemon tools runscript
+mkdir -p /tmp/pkg/service/webmin
+cp run /tmp/pkg/service/webmin
+chmod +x /tmp/pkg/service/webmin/run
+
+#webportal stuff
+mkdir -p /tmp/pkg/var/www/htdocs/syn3/webmin/
+cp webportal/* /tmp/pkg/var/www/htdocs/syn3/webmin/ || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/webapps/webmin/webmin.arch
===================================================================
--- npl/webapps/webmin/webmin.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+noarch
Index: npl/webapps/webmin/webmin.md5
===================================================================
--- npl/webapps/webmin/webmin.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,11 @@
+b63f83fecda8eb3f99c0a530e2c734b7  ./miniserv.conf
+cf70b4a940622a5ecbf2a95bbcb6fb0e  ./run
+d8503774b1ac46129c5580116316443b  ./services.webmin.new
+cdcc09d71d85d81914a90413eaf21d3f  ./webmin-1.510.tar.gz
+b1b943b3b378f039fd84ef6be60af826  ./webmin.SlackBuild
+ccb3017db76969568dc8a10773b05cf6  ./webmin.SlackBuild.log.gz
+db7d4a6ebaf08e38658db938ec836f32  ./webmin.pkg
+4b53a4b42e58bab7bff50392699d5d89  ./webportal/index.php
+24643bb24f4bcb45021397cf3ed3e7a9  ./webportal/loading.gif
+492c0efb427e7d2d5aa8483208ce7f16  ./webportal/webportal.desc
+c88540867cddc143df6c4c1c8d597cbe  ./webportal/webportal.png
Index: npl/webapps/webmin/webmin.version
===================================================================
--- npl/webapps/webmin/webmin.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+1.510
Index: npl/webapps/webmin/webportal/index.php
===================================================================
--- npl/webapps/webmin/webportal/index.php	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webportal/index.php	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,17 @@
+<?php
+$SCC="https://$_SERVER[HTTP_HOST]:10001";
+?>
+<html>
+<head>
+<meta http-equiv=refresh content="1;url=<?=$SCC?>">
+</head>
+<body>
+    <table height=100% width=100% align=center><tr><td>
+        <table align=center><tr><td>
+            <h1><img src='loading.gif'> Loading webmin..</h1>
+            If it doesn't load, check if your IP (<?=$_SERVER[REMOTE_ADDR]?>) is allowed in the firewall.
+        </tr></table>
+    </tr></table>
+</body></html>
+
+
Index: npl/webapps/webmin/webportal/webportal.desc
===================================================================
--- npl/webapps/webmin/webportal/webportal.desc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webportal/webportal.desc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+Webmin
Index: npl/webapps/z_merge_zarafa/z_merge_zarafa.build
===================================================================
--- npl/webapps/z_merge_zarafa/z_merge_zarafa.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5127
